#include <boost/graph/undirected_graph.hpp>
#include <boost/graph/graphviz.hpp>

int main() {
  boost::undirected_graph<> g;

  auto v0 = g.add_vertex();
  auto v1 = g.add_vertex();
  auto v2 = g.add_vertex();

  g.add_edge(v0, v1);
  g.add_edge(v1, v2);

  write_graphviz(std::cout, g);

  return 0;
}
