// naumann@stce.rwth-aachen.de

#include<vector>
#include<list>

template<typename VT, typename ET>
class graph {
  std::vector<VT*> vertices;
  std::list<ET*> edges;
public:
  graph(char*); 
  ~graph(); 
  void to_dot() const;
private:
  graph();
  graph(const graph&);
  graph& operator=(const graph&);
};

#include "graph.cpp"
