// naumann@stce.rwth-aachen.de

#include "identifiable.hpp"
#include "visitable.hpp"

#include <list>

template<typename VT>
class edge;

template<typename VT, typename ET>
class graph;

class vertex : public identifiable<size_t>, public visitable { 
  std::list<edge<vertex>*> incident;
public:
  vertex()=default;
private:
  vertex(const vertex&);
  vertex& operator=(const vertex&);
  friend graph<vertex,edge<vertex>>;
};

void print(const vertex&);
