// naumann@stce.rwth-aachen.de

#include "vertex.hpp"
#include "edge.hpp"
#include "graph.hpp"

#include <cassert>

int main(int argc, char* argv[]) {
  assert(argc==2);
  graph<vertex,edge<vertex>> g(argv[1]);
  g.to_dot();
  for (size_t i=0;i<g.num_vertices();i++) {
    std::cerr << "dfs(" << i << "):" << std::endl;
    g.dfs(g.get_vertex(i),print);
    g.unvisit();
  } 
  return 0;
}
